import base64
from pathlib import Path
import unittest
import config
from config import send_request

image_path = 'image'

# TX_test, TX_sb, DX_test, DX_sb
envl = 'DX_test'
url = config.URL[envl]
token = config.TOKEN[envl]

# 生产集群
class TestSbOcr(unittest.TestCase):

    def _helper(self, image_path, suffix):
        root = Path(__file__).parent
        image_path = str(root / image_path)
        r = send_request(image_path, suffix, url, token)
        self.assertIn('result', r, f'{suffix} test error')

    def test_bank(self):
        image_path = './image/bankcard.jpg'
        suffix = '/yhksb/bankcard'
        self._helper(image_path, suffix)

    def test_idcard(self):
        image_path = './image/idcard.jpg'
        suffix = '/sfzsb/idcard'
        self._helper(image_path, suffix)

    def test_regbook(self):
        image_path = './image/regbook.jpg'
        suffix = '/hkbsb/regbook'
        self._helper(image_path, suffix)

    def test_schoolcert(self):
        image_path = './image/schoolcert.jpg'
        suffix = '/xxw/schoolcert'
        self._helper(image_path, suffix)

    def test_cet(self):
        image_path = './image/cet.jpg'
        suffix = '/cet/cet'
        self._helper(image_path, suffix)

    def test_blef(self):
        image_path = './image/blfe.jpg'
        suffix = '/blfe/blfe'
        self._helper(image_path, suffix)

# 测试集群
class TestOcr(unittest.TestCase):

    def _helper(self, image_path, suffix):
        root = Path(__file__).parent
        image_path = str(root / image_path)
        r = send_request(image_path, suffix, url, token)
        self.assertIn('result', r, f'{suffix} test error')

    def test_bank(self):
        image_path = './image/bankcard.jpg'
        suffix = '/yhksbtest/bankcard'
        self._helper(image_path, suffix)

    def test_idcard(self):
        image_path = './image/idcard.jpg'
        suffix = '/sfzsbtest/idcard'
        self._helper(image_path, suffix)

    def test_regbook(self):
        image_path = './image/regbook.jpg'
        suffix = '/hkbsbtest/regbook'
        self._helper(image_path, suffix)

    def test_schoolcert(self):
        image_path = './image/schoolcert.jpg'
        suffix = '/xxwtest/schoolcert'
        self._helper(image_path, suffix)

    def test_cet(self):
        image_path = './image/cet.jpg'
        suffix = '/cettest/cet'
        self._helper(image_path, suffix)

    def test_blef(self):
        image_path = './image/blfe.jpg'
        suffix = '/blfetest/blfe'
        self._helper(image_path, suffix)

